%define release 8mdk
%define date 2002_04_01
%define _unpackaged_files_terminate_build 0

Summary: A helper application for loading modules for USB devices
Name: hotplug
Version: %{date}
Release: %{release}
Group: System/Configuration/Hardware
License: GPL
Url: http://linux-hotplug.sourceforge.net/
# Generated from cvs.
Source0: %{name}-%{version}.tar.bz2
Source1: http://www.linuxalpha.compaq.com/pcihpd/files/cpqphpd_gui-0.1.2.tar.bz2
Source2: http://www.linuxalpha.compaq.com/pcihpd/files/hpioctl.tar.bz2
Source3: cpqphpd_ioctl.h

# We don't want hotplug to initialize the USB core modules, but we
# want to synthesize boot events
Patch0: hotplug-2001_04_24-nousbinit.patch.bz2

# Add support for wireless devices
Patch1: hotplug-2001_09_19-wireless2.patch.bz2

# don't call usbmodules in hotplug.funtions for usb
Patch2:  hotplug-2002_01_14-no-usbmodules.patch.bz2

# Some joydevs
Patch3: hotplug-2002_04_01-joydev.patch.bz2

# We don't include initscript, don't reference it in the man page
Patch4: hotplug-2002_04_01-initfile.patch.bz2

# Don't hotplug when adding tunnels
Patch5: hotplug-2002_04_01-tunl.patch.bz2

# Wacom
Patch6: hotplug-2002_04_01-wacom.patch.bz2

#ifup fix.
Patch7: hotplug-2002_04_01-ifup-fix.patch.bz2

#scsimon
Patch8: hotplug-2002_04_01-scsimon.patch.bz2

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	gnome-libs-devel
BuildRequires:	texinfo
BuildRequires:	xpm-devel

BuildRoot: %{_tmppath}/%{name}-root
Prereq:	chkconfig
Obsoletes: usbd
Provides: usbd
Requires: usbutils
Requires: ifplugd

%description
This package contains the scripts necessary for hotplug Linux support,
and lets you plug in new devices and use them immediately.
Initially, it includes support for USB and PCI (Cardbus) devices, 
and can automatically configure network interfaces.

%package gtk
Summary: GTK control interface for Hotplug PCI
Group: System/Configuration/Hardware

%description gtk
This is the GTK interface for the Compaq PCI hotplug controller

%prep
%setup -q -a 1 -a 2

%patch0 -p1 -b .nousbinit
%patch1 -p1 -b .wireless
%patch2 -p1 -b .no-usbmodules
%patch3 -p1 -b .joydev
%patch4 -p1 -b .initfile
%patch5 -p1 -b .tunl
%patch6 -p1 -b .wacom
%patch7 -p1 -b .ifup-fix
%patch8 -p1 -b .scsimon

%build

##%%make -C fxload/ CFLAGS="%optflags"

pushd cpqphpd_gui
%configure
%make
pushd ../usr/src/hpioctl
cp -fv %{SOURCE3}  .
%make
popd
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/etc/hotplug
mkdir -p $RPM_BUILD_ROOT/etc/hotplug/usb
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/var/run/usb

# install the main hotplug script
install -m 755 sbin/* $RPM_BUILD_ROOT/sbin/

# install the helper hotplug scripts
cp -a -r etc/hotplug/* ${RPM_BUILD_ROOT}/etc/hotplug/

# install the usb startup script
cp -a etc/rc.d/init.d/* ${RPM_BUILD_ROOT}/etc/rc.d/init.d/

# the man page
install -m 644 hotplug.8 $RPM_BUILD_ROOT/%{_mandir}/man8

# hotplug PCI program
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp usr/src/hpioctl/iotest $RPM_BUILD_ROOT/usr/sbin/hotplugctl

# update-usb.usermap
mkdir -p $RPM_BUILD_ROOT/usr/lib/hotplug
install -m 755 debian/update-usb.usermap $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 debian/update-usb.usermap.8 $RPM_BUILD_ROOT%{_mandir}/man8

pushd cpqphpd_gui
make DESTDIR=$RPM_BUILD_ROOT install
popd

%clean
rm -fr %buildroot

%post
/usr/sbin/update-usb.usermap || :

%files
%defattr(-,root,root)
/sbin/*
/usr/sbin/*

%dir /usr/lib/hotplug
%dir /etc/hotplug
%dir /etc/hotplug/usb
%dir /etc/hotplug/pci
%dir /etc/hotplug/ieee1394
%config(noreplace) /etc/hotplug/blacklist
%config(noreplace) /etc/hotplug/hotplug.functions
%config(noreplace) /etc/hotplug/usb.distmap
%config(noreplace) /etc/hotplug/usb.handmap
%ghost /etc/hotplug/usb.usermap
%defattr(0755,root,root)
%config(noreplace) /etc/hotplug/ieee1394.agent
%config(noreplace) /etc/hotplug/ieee1394/sbp2
%config(noreplace) /etc/hotplug/scsi.agent
%config(noreplace) /etc/hotplug/net.agent
%config(noreplace) /etc/hotplug/pci.agent
%config(noreplace) /etc/hotplug/pci.rc
%config(noreplace) /etc/hotplug/usb.agent
%config(noreplace) /etc/hotplug/usb.rc
%config(noreplace) /etc/hotplug/usb/usb-storage

%dir /var/run/usb
%{_mandir}/*/*
%doc README ChangeLog

%files gtk
%defattr(-,root,root)
/usr/bin/cpqphpgui
/usr/share/pixmaps/cpqphpgui

%changelog
* Thu Mar 06 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2002_04_01-8mdk
- Fix script exec

* Thu Mar 06 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2002_04_01-7mdk
- add scsi.agent (recive scsi event, usefull with usb-storage)
  load sd_mod,st,sr_mod,... automaticaly
- add script in ieee1394/spb2 and usb/usb-storage (load scsimon)

* Tue Feb 18 2003 Frederic Lepied <flepied@mandrakesoft.com> 2002_04_01-6mdk
- net.agent: create a default config file for an ethernet device if it
doesn't exist.

* Wed Feb 12 2003 Frederic Lepied <flepied@mandrakesoft.com> 2002_04_01-5mdk
- use IFPLUGD_ARGS from /etc/sysconfig/network like the network service in
net.agent.

* Sun Feb  9 2003 Frederic Lepied <flepied@mandrakesoft.com> 2002_04_01-4mdk
- corrected net.agent to conform to the network service (bug #1453)

* Tue Jan 21 2003 Frederic Lepied <flepied@mandrakesoft.com> 2002_04_01-3mdk
- use ifplugd in network script

* Tue Aug 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 2002_04_01-2mdk
- use the debian way to update usb.usermap (via update-usb.usermap)

* Tue Aug 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 2002_04_01-1mdk
- 2002_04_01 version

* Wed Mar 20 2002 David BAUDENS <baudens@mandrakesoft.com> 2002_01_14-5mdk
- Clean after build

* Mon Mar 11 2002 Frederic Lepied <flepied@mandrakesoft.com> 2002_01_14-4mdk
- don't call usbmodules in hotplug.funtions for usb
- remove calls to updfstab

* Thu Feb 21 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2002_01_14-3mdk
- Get a file description when invoking ifup in net.agent fix
  removal/insert of pcmcia cards.

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 2002_01_14-2mdk
- BuildRequires

* Wed Jan 16 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2002_01_14-1mdk
- Requires usbutils.
- Redo filelist.
- Add hotplug-gtk package (Compaq Hotplug Graphical viewver).
- Merge RH patches.
- Upgrade to 2002_01_14.

* Mon Sep 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-8mdk
- added ieee1934.agent from cvs (Chmouel)

* Fri Sep 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-7mdk
- storage handling is handled by dynamic now.

* Thu Sep  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-6mdk
- fix for wacom module load

* Sat Sep  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-5mdk
- updated patch1 for wireless devices
- don't install patch backup files

* Thu Aug 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-4mdk
- Run ifdown on interface unregistration (kill stale DHCP clients)
- own /etc/hotplug

* Wed Jul 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-3mdk
- added a call to updfstab when usb-storage is loaded

* Wed Jun 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001_06_12-2mdk
- noreplace /etc/ files.
- Update description.
- ifdown net when unregister net card.

* Tue Jun 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001_06_12-1mdk
- First mandrake release (generated from cvs, spec file inspired from rh).

